InstallerVariableEvent (install4j help)
Keywords: com.install4j.api.events.InstallerVariableEvent class

## install4j API documentation

## com.install4j.api.events
Class InstallerVariableEvent

    java.lang.Object
      java.util.EventObject
          com.install4j.api.events.InstallerEvent
              com.install4j.api.events.InstallerVariableEvent

All Implemented Interfaces:
  java.io.Serializable

    public class InstallerVariableEvent

extends InstallerEvent

The event object that is passed to installer event listeners for the variable change event type. Event listeners are registered in the `InstallerContext`.

This event object contains additional information about the changed variable. The event type and `EventType.VARIABLE_CHANGED` produces this event object when fired.

Author:
  ej-technologies GmbH
See Also:
  `InstallerEventListener`, `Context.addInstallerEventListener(com.install4j.api.events.InstallerEventListener)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstallerVariableEvent(java.lang.Object source, Context context, java.lang.String variableName)` The constructor is called by the framework.

Method Summary
`java.lang.String` | `getVariableName()` Get the name of the variable that was changed.
`java.lang.String` | `getVerbose()` Return a verbose description of this event.
`java.lang.String` | `toString()`

Methods inherited from class com.install4j.api.events.InstallerEvent
`getContext, getType, wasSuccessful`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallerVariableEvent

    public InstallerVariableEvent(java.lang.Object source,
                                  Context context,
                                  java.lang.String variableName)

  The constructor is called by the framework.

  Parameters:
    `source` - the event source
    `context` - the context
    `variableName` - the name of the changed variable

Method Detail

### getVariableName

    public java.lang.String getVariableName()

  Get the name of the variable that was changed.

  Returns:
    the name of the variable

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `InstallerEvent`

### getVerbose

    public java.lang.String getVerbose()

  Description copied from class: `InstallerEvent`
  Return a verbose description of this event.

  Overrides:
    `getVerbose` in class `InstallerEvent`
  Returns:
    the decription